

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-ppc-akpm/drivers/cpufreq/cpufreq.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

diff -puN drivers/cpufreq/cpufreq.c~add-suspend-method-to-cpufreq-core-warning-fix drivers/cpufreq/cpufreq.c
--- 25-ppc/drivers/cpufreq/cpufreq.c~add-suspend-method-to-cpufreq-core-warning-fix	2005-04-04 19:54:55.000000000 -0700
+++ 25-ppc-akpm/drivers/cpufreq/cpufreq.c	2005-04-04 19:55:31.000000000 -0700
@@ -955,7 +955,6 @@ static int cpufreq_resume(struct sys_dev
 {
 	int cpu = sysdev->id;
 	unsigned int ret = 0;
-	unsigned int cur_freq = 0;
 	struct cpufreq_policy *cpu_policy;
 
 	dprintk("resuming cpu %u\n", cpu);
@@ -995,21 +994,24 @@ static int cpufreq_resume(struct sys_dev
 			cur_freq = cpufreq_driver->get(cpu_policy->cpu);
 
 		if (!cur_freq || !cpu_policy->cur) {
-			printk(KERN_ERR "cpufreq: resume failed to assert current frequency is what timing core thinks it is.\n");
+			printk(KERN_ERR "cpufreq: resume failed to assert "
+					"current frequency is what timing core "
+					"thinks it is.\n");
 			goto out;
 		}
 
 		if (unlikely(cur_freq != cpu_policy->cur)) {
 			struct cpufreq_freqs freqs;
 
-			dprintk("Warning: CPU frequency is %u, cpufreq assumed %u kHz.\n",
-							cur_freq, cpu_policy->cur);
+			dprintk("Warning: CPU frequency is %u, cpufreq assumed "
+					"%u kHz.\n", cur_freq, cpu_policy->cur);
 
 			freqs.cpu = cpu;
 			freqs.old = cpu_policy->cur;
 			freqs.new = cur_freq;
 
-			notifier_call_chain(&cpufreq_transition_notifier_list, CPUFREQ_RESUMECHANGE, &freqs);
+			notifier_call_chain(&cpufreq_transition_notifier_list,
+						CPUFREQ_RESUMECHANGE, &freqs);
 			adjust_jiffies(CPUFREQ_RESUMECHANGE, &freqs);
 
 			cpu_policy->cur = cur_freq;
_
